unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeeComma, TeEngine, ExtCtrls, TeeProcs, Chart, Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TBarSeries;
    Series2: TBarSeries;
    Series3: TBarSeries;
    Series4: TBarSeries;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
    procedure DisplayBars;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  GStartDate:TDateTime;

implementation

{$R *.dfm}

uses DateUtils;

procedure TForm1.DisplayBars;
var
  i: integer;
  x:double;
begin
  Series1.Clear;
  Series2.Clear;
  Series3.Clear;
  Series4.Clear;

  Series1.XValues.DateTime:=true;
  Series2.XValues.DateTime:=true;
  Series3.XValues.DateTime:=true;
  Series4.XValues.DateTime:=true;

  Series1.AutoBarSize:=CheckBox1.Checked;
  Series2.AutoBarSize:=CheckBox1.Checked;
  Series3.AutoBarSize:=CheckBox1.Checked;
  Series4.AutoBarSize:=CheckBox1.Checked;

  for i:=0 to 11 do
  begin
    if RadioGroup1.ItemIndex=0 then
      x := IncDay(GStartDate, i)
    else
      x := IncDay(GStartDate, (i* 7));

    series1.AddXY(x, 15-i, '', clTeeColor);
    series2.AddXY(x, 5+1, '', clTeeColor);
    series3.AddXY(x, 7+i, '', clTeeColor);
    series4.AddXY(x, 12-i, '', clTeeColor);
  end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  GStartDate:=Now;
  DisplayBars;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  DisplayBars;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  DisplayBars;
end;

end.
